﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Cells;
using Syncfusion.Windows.Controls.Grid;
using System.Collections.Specialized;
using System.Data;

namespace DataTableSort
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        
        DataTableHelper dataTableHelper;

        public Window1()
        {
            InitializeComponent();

            DataTable dt = GetDataSource();

            //create the hepler class that virtually binds the grid to the DataTable
            dataTableHelper = new DataTableHelper(dt, grid);
        }



        #region the datatable

        private DataTable GetDataSource()
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 5;
            int nRows = 100;
            Random r = new Random(123345345);

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i), typeof(int)));
            

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                    dr[j] = r.Next(50);
                dt.Rows.Add(dr);
            }

            dt.AcceptChanges();
           
            return dt;
        }
        #endregion

        //handle the filter button
        private void Button_Click(object sender, RoutedEventArgs e)
        {
           
            dataTableHelper.ApplyFilter(textBox1.Text);
          //  dataTableHelper.ApplyFilter(textBox1.Text);
     
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            dataTableHelper.ApplyFilter("");

        }

    }


 
}
    
